Create a PromotedLink
/campaigns/{campaignId}/promotedLinksYou can create a new promoted link and associate it with an existing campaign. AmplifyAPi allows you to add your own headline, image and section name for the newly created promoted link. If you'd like to set your own image, then you can do so by providing an http link for the hosted image or by uploadig an image file. if the image is not provided, it will be set via our backend crawler.
POST a JSON hash with the following attributes:
-
text - optional, if not provided, the title will be set via our backend crawler. NOTE: Outbrain supports the ability to include dynamic values in the headline (English-only) for location and day of week. For more information and instructions on the proper syntax please visit: https://www.outbrain.com/help/advertisers/add-content/#dynamic
-
url - mandatory
-
enabled - mandatory
-
cpcAdjustment - optional
-
sectionName - optional
-
description - optional
-
imageMetadata - optional
- id - optional, Outbrain image id in case the image has already been uploaded
- url - optional, http link for the hosted image
- If the image format is mp4, the video should be up to 10sec long
- playMode - optional, the image Play Mode type. Relevant to MP4 and GIF image types. - Determines whether the clip would run once or loop 3 times.
- cropSettings - optional, array of Crop Point. Relevant for Standard images only
- cropType - optional, the image’s custom Crop Type
- aiGenerated - optional, whether this creative was fully or partially generated or modified by an AI tool
-
logoMetadata - optional, this PromotedLink's own brand logo. If omitted, the advertiser's Marketer.logoMetadata is copied in as a one-time default
- id - optional, Outbrain logo id if already uploaded
- url - optional, http link for the hosted logo image
Authorization
obToken Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
The Id of the Campaign
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/campaigns/campaignId/promotedLinks" \ -H "Content-Type: application/json" \ -d '{ "text": "My new promoted link", "url": "http://www.engadget.com/2014/04/03/felix-baumgartner-smithsonian/", "enabled": true, "cpc": 0.35, "sectionName": "sectionName", "imageMetadata": { "url": "http://o.aolcdn.com/hss/storage/adam/f0a6ef54a08f4793bc037805ea57607/felix.jpg", "aiGenerated": false } }'{ "id": "00f4b02153ee75f3c9dc4fc128ab041962", "campaignId": "abf4b02153ee75f3cadc4fc128ab0419ab", "text": "Yet another promoted link", "metaData": "This is the metaData of the promoted link", "sectionName": "Economics", "description": "This is the description of the promoted link", "lastModified": "2013-04-15 14:52:13", "creationTime": "2013-01-22 21:17:11", "url": "http://money.cnn.com/2013/11/26/news/economy/milk-farm-bill/", "status": "APPROVED", "approvalStatus": { "status": "Approved", "isEditable": false }, "enabled": true, "archived": true, "documentLanguage": "EN", "cpc": 0.35, "baseUrl": "http://money.cnn.com/2013/11/26/news/economy/milk-farm-bill/", "onAirStatus": { "onAir": false, "reason": "ADVERTISER_DISABLED" }, "imageMetadata": { "requestedImageUrl": "http://images.outbrain.com/imageserver/v2/s/gtE/n/plcyz/abc/iGYzT/plcyz-f8A-158x114.jpg", "originalImageUrl": "http://images.outbrain.com/imageserver/v2/s/gtE/n/plcyz/abc/iGYzT/plcyz-f8A-158x114.jpg", "isAiGenerated": false }, "logoMetadata": { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "url": "http://someImageUrl.com/logo.png" }}